%define		module		rcssmin
Summary:	RCSSmin is a CSS minifier
Name:		python3-%{module}
Version:	1.2.1
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/r/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	d8a49d97d36aed2dd98a0863e948f0c2
URL:		http://opensource.perlig.de/rcssmin/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The minifier is based on the semantics of the YUI compressor, which
itself is based on the rule list by Isaac Schlueter.

This module is a re-implementation aiming for speed instead of maximum
compression, so it can be used at runtime (rather than during a
preprocessing step).

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.md LICENSE bench/LICENSE.cssmin
%{py3_sitedir}/%{module}.py
%attr(755,root,root) %{py3_sitedir}/_%{module}.*.so
%{py3_sitedir}/__pycache__/%{module}.*
%{py3_sitedir}/%{module}-%{version}-py*.egg-info

%files apidocs
%defattr(644,root,root,755)
%doc docs/_userdoc/*
%changelog
* Tue Jun 03 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-rcssmin.git;a=log;h=master

* Wed Jun 04 2025 Jan Rękorajski <baggins@pld-linux.org> 3b87158
- up to 1.2.1

* Tue Jun 03 2025 Jan Rękorajski <baggins@pld-linux.org> 8e22934
- renamed

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> ab916a3
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 17d2fbd
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 9474c36
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 956e893
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 8ffbedc
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> fe5f710
- rebuild with separate debuginfo build-ids

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 352be18
- unconditional noarch subpackages

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 6b5f1d1
- release 5 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 39113dd
- rebuild with python 3.8
- release 4 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 88dc65f
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e766bce
- python 3.6
- release 2 (by relup.sh)

* Tue Jun 21 2016 Elan Ruusamäe <glen@delfi.ee> cf412f5
- new, version 1.0.6

